# Updating a Project Snapshot

Updates the metadata of a Project Snapshot.


This endpoint returns structured Project Snapshots objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_snapshots top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /project_snapshots/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- project_snapshot_assignments (Project::Snapshots::Models::ProjectSnapshotAssignment) - Retrieves task assignments saved in snapshots. The response will include project_snapshot_assignment_ids, which references the data in the project_snapshot_assignments top-level key.
- project_snapshot_custom_field_values (Project::Snapshots::Models::ProjectSnapshotCustomFieldValue) - Retrieves project custom fields saved in snapshots. The response will include project_snapshot_custom_field_value_ids, which references the data in the project_snapshot_custom_field_values top-level key.
- project_snapshot_resources (Project::Snapshots::Models::ProjectSnapshotResource) - Retrieves the resources saved in snapshots. The response will include project_snapshot_resource_ids, which references the data in the project_snapshot_resources top-level key.
- project_snapshot_task_custom_field_values (Project::Snapshots::Models::ProjectSnapshotCustomFieldValue) - Retrieves task custom fields saved in snapshots. The response will include project_snapshot_task_custom_field_value_ids, which references the data in the project_snapshot_custom_field_values top-level key.
- project_snapshot_tasks (Project::Snapshots::Models::ProjectSnapshotTask) - Retrieves the tasks saved in snapshots. The response will include project_snapshot_task_ids, which references the data in the project_snapshot_tasks top-level key.

## Request fields (application/json):

  - `project_snapshot` (object)

  - `project_snapshot.id` (integer, required)
    The ID of the snapshot to update.

  - `project_snapshot.title` (string)
    The title of the snapshot.

  - `project_snapshot.description` (string)
    The description of the snapshot.

  - `project_snapshot.replace_baseline` (boolean)
    Whether the snapshot should be set as the workspace's baseline.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `project_snapshots` (object)

  - `project_snapshot_resources` (object)

  - `project_snapshot_tasks` (object)

  - `project_snapshot_custom_field_values` (object)

  - `project_snapshot_assignments` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


